<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/> <!-- start step ! starts from 0 ! -->
        <numSteps value="5"/> <!-- end step -->
        <startTime value="0.1"/>
        <delta  value="0.1"/>
        <deleteOffset value="no"/>
      </startStop>
    </stepValueDefinition>
    
    
    <meshInput id="input1" gridType="fullGrid">  <!-- id = name of this filter -> the loaded data will be set with the name "input1"-->
      <inputFile>
        <hdf5 fileName="srcData/source.h5"/>
      </inputFile>
    </meshInput>

    
    <differentiation type="SpaceDifferentiation_Curl" inputFilterIds="input1" id="calc">
      <RBF_Settings epsilonScaling="1e-4"/>
      <targetMesh>
        <hdf5 fileName="mesh/mesh.h5"/>
      </targetMesh>
      <singleResult>
        <inputQuantity resultName="mechRhsLoad"/>
        <outputQuantity resultName="res"/>
      </singleResult>
      <regions>
        <sourceRegions>
          <region name="fluid"/>
        </sourceRegions>
        <targetRegions>
          <region name="fluid"/>
        </targetRegions>
      </regions>
    </differentiation>
    
    <meshOutput id="SpatialDerivative_3D_Curl" inputFilterIds="calc">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="1" externalFiles="no"/> <!-- compression level (greater number = bigger compression; default=1) -->
      </outputFile>
      <saveResults>
        <result resultName="res">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>
  </pipeline>
</cfsdat>


